Loading...
Searching...
No Matches
SortTracker Class Reference

`#include <sort_filter/sort.hpp>`

## Public Member Functions

double | GetCentroidsDistance (cv::Rect_< float > bb_test, cv::Rect_< float > bb_gt)
double | GetIOU (cv::Rect_< float > bb_test, cv::Rect_< float > bb_gt)
| SortTracker (int max_age=7, int min_hits=2)
void | update (std::vector< cv::Rect > detection, int frame_count, double image_diagonal, std::vector< float > confidences, std::vector< int > classIds)

## Public Attributes

int | _max_age
int | _min_hits
bool | alive_tracker
std::set< int > | allItems
std::vector< int > | assignment
std::vector< std::vector< double > > | centroid_dist_matrix
std::vector< int > | dead_trackers_id
unsigned int | detNum = 0
std::vector< TrackingBox > | frameTrackingResult
std::set< int > | matchedItems
std::vector< cv::Point > | matchedPairs
double | max_centroid_dist_norm = 0.05
std::vector< cv::Rect_< float > > | predictedBoxes
std::vector< KalmanTracker > | trackers
unsigned int | trkNum = 0
std::set< int > | unmatchedDetections
std::set< int > | unmatchedTrajectories

## Detailed Description

Definition at line 32 of file sort.hpp.

## Constructor & Destructor Documentation

## SortTracker()

SortTracker::SortTracker | ( | int | max_age = `7`,
|  | int | min_hits = `2`
| ) |  |

Definition at line 10 of file sort.cpp.

## Member Function Documentation

## GetCentroidsDistance()

double SortTracker::GetCentroidsDistance | ( | cv::Rect_< float > | bb_test,
|  | cv::Rect_< float > | bb_gt
| ) |  |

Definition at line 30 of file sort.cpp.

Referenced by update().

## GetIOU()

double SortTracker::GetIOU | ( | cv::Rect_< float > | bb_test,
|  | cv::Rect_< float > | bb_gt
| ) |  |

Definition at line 18 of file sort.cpp.

## update()

void SortTracker::update | ( | std::vector< cv::Rect > | detection,
|  | int | frame_count,
|  | double | image_diagonal,
|  | std::vector< float > | confidences,
|  | std::vector< int > | classIds
| ) |  |

Definition at line 45 of file sort.cpp.

## Member Data Documentation

## _max_age

int SortTracker::_max_age

Definition at line 62 of file sort.hpp.

Referenced by SortTracker(), and update().

## _min_hits

int SortTracker::_min_hits

Definition at line 61 of file sort.hpp.

Referenced by SortTracker(), and update().

## alive_tracker

bool SortTracker::alive_tracker

Definition at line 63 of file sort.hpp.

Referenced by SortTracker(), and update().

## allItems

std::set<int> SortTracker::allItems

Definition at line 52 of file sort.hpp.

Referenced by update().

## assignment

std::vector<int> SortTracker::assignment

Definition at line 49 of file sort.hpp.

Referenced by update().

## centroid_dist_matrix

std::vector<std::vector<double> > SortTracker::centroid_dist_matrix

Definition at line 48 of file sort.hpp.

Referenced by update().

## dead_trackers_id

std::vector<int> SortTracker::dead_trackers_id

Definition at line 57 of file sort.hpp.

Referenced by update().

## detNum

unsigned int SortTracker::detNum = 0

Definition at line 60 of file sort.hpp.

Referenced by update().

## frameTrackingResult

std::vector<TrackingBox> SortTracker::frameTrackingResult

Definition at line 56 of file sort.hpp.

Referenced by update().

## matchedItems

std::set<int> SortTracker::matchedItems

Definition at line 53 of file sort.hpp.

Referenced by update().

## matchedPairs

std::vector<cv::Point> SortTracker::matchedPairs

Definition at line 54 of file sort.hpp.

Referenced by update().

## max_centroid_dist_norm

double SortTracker::max_centroid_dist_norm = 0.05

Definition at line 45 of file sort.hpp.

Referenced by update().

## predictedBoxes

std::vector<cv::Rect_<float> > SortTracker::predictedBoxes

Definition at line 47 of file sort.hpp.

Referenced by update().

## trackers

std::vector<KalmanTracker> SortTracker::trackers

Definition at line 43 of file sort.hpp.

Referenced by update().

## trkNum

unsigned int SortTracker::trkNum = 0

Definition at line 59 of file sort.hpp.

Referenced by update().

## unmatchedDetections

std::set<int> SortTracker::unmatchedDetections

Definition at line 50 of file sort.hpp.

Referenced by update().

## unmatchedTrajectories

std::set<int> SortTracker::unmatchedTrajectories

Definition at line 51 of file sort.hpp.

Referenced by update().

The documentation for this class was generated from the following files:

- sort_filter/sort.hpp
- sort_filter/sort.cpp